## Chronologie der Transcriber-Versionen

Version 1.4.3

Herausgegeben am 11 Oktober 2000
benötigt Tcl/Tk 8.0-8.3, Snack 1.7 ooder vorzugsweise 2.0.1, tcLex 1.2

Neue oder geänderte Funktionen:

- Wenn die Snack Version 2.0 installiert ist mit dem Transcriber, ist es möglich nur den linken oder rechten Kanal einer Stereodatei abzuspielen durch Verwendung des neuen Menüpunktes `[Signal]/[Stereo channel].`Es hat keine Auswirkung auf Mono-Audiodateien oder wenn die vorherige Snack Version 1.7 verwendet wird.
- Neues Konversionsfilter in das .html Format, welches den Ausdruck der Transkription über einen Browser ermöglicht.
- Neues Konversionsfilter in das .cha (Childes/CHAT) Format durchgeführt von Zhibiao Wu. Die Unterstützung für dieses Format ist noch experimentell. Wenn man eine ".cha-Datei liest, schaltet das Tool in einen CHAT-Mode mit neuen Attributen, die mit der Schnittstelle verfügbar sind. Es schaltet zurück in den Ausgangszustand, wenn man eine neue Transkription erzeugen will oder eine Datei in einem nicht-CHAT-Format lesen will.
- Konvertierungsfilter in das .stm-Format wurde geändert; Import von .stm ist auf die Transkription begrenzt.
- Beim ersten Start paßt sich das Fenster automatisch an die volle Bildschirmgröße an; spätere Größenänderungen werden besser verwaltet.
- leichte Korrektur der Signaldarstellung und der Cursor-Darstellung.
- ('versteckt '-Attribute können durch Anlegen der Zeile 'hideLevels 1' in der Konfigurationsdatei aktiviert werden ): wenn man eine Segmentierungsdatei liest (z.B. .lab Datei), versteckt man die Segmentierungsstufen 'section/turn/background' unter dem Signal immer, wenn sie leer sind; ihre Darstellung kann mit dem Kontextmenü (rechte Maustaste) auf dem Signal wieder eingeschaltet werden.

Implementierung bzw. Behebung von Fehlern:

- Der Transcriber wurde für die Macintosh/G3 Plattform portiert(Danke an L. Spektor für die Änderungen). Ein neues Unterverzeichnis 'src/mac' enthält die Resourcen für die Snack Kompilation, tcLex und Transcriber auf dem Mac mit Code Warrior Pro 5.
- Die Automatische Erkennung von Audiodateien, die mit einer Transkription verbunden sind, arbeitet nun sowohl mit groß geschriebenen Extensionen (.WAV), als auch mit klein geschriebenen (.wav)
- `src/shape.c` ist nun in Snack1.7 integriert (Danke an K. Sjölander) und wird nicht mehr mit dem Transcriber verteilt. Verschiedene Teile des Quellcodes (`src/wavfm.c`, `tcl/Signal.tcl`, `tcl/Play.tcl`,...) wurden entsprechend der Syntax des neuen Snack Befehls geändert. Daher arbeitet der Transcriber Version 1.4.3 nicht mehr mit Snack 1.6
- Das Format der Audiosignalform wurde geändert und hat nun das Suffix ".shape". Früher berechnete Audiosignalformen mit der Extension ".shp" sind nun bedeutungslos und können entfernt werden.
- `src/segmt.c`: es wurde ein Fehler in "BorderTableFree" (Versuch einen leeren Pointer freizugeben, wenn ein falscher Segment Farbname gegeben war).
- `src/wavfm.c`: a double pixmap buffering is used for speeding up cursor-only changes (BTW, pixmaps are now freed at the end); a new widget sub-command 'cursor' has been created for that purpose and is used in tcl/Waveform.tcl:proc Cursor.

Version 1.4.2

Herausgegeben am 6. Januar 2000
Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2 erforderlich

Neue bzw. geänderte Funktionen:

- Verschiebung der Grenzen mittels Shift-Button2 (oder Shift-Control-Button1) erfolgen - in diesem Fall werden andere Grenzen entsprechend mitverschoben.
- Mit Shift-Return kann innerhalb eines Segments eine Unterbrechung eingefügt werden.
- Im Menü [Signal]/[Playback mode] können verschiedene Wiedergabearten gewählt werden: continuous - fortlaufend, with pauses - mit Pausen, stop or beep at segment boundaries - Stopp oder Piepton an Segmentgrenzen bzw. Looping on segment or selection - Schleifenbetrieb auf Segment oder Auswahl. Der Modus gilt für alle folgenden Wiedergaben. Pausenlänge, Piepton-Datei sowie Rücksetzen vor Wiedergabe sind voreingestellt [Options]/[Audio file ...].
- Eine Voreinstellung der Position (default position) des Textcursors während der automatischen Synchronisation mit dem Signal kann im Menü [Options]/[General ...] zwischen Beginn und Ende der Zeile gewählt werden (früher nur am Zeilenende).

Implementierungsänderungen bzw. Behebung von Fehlern:

- Im Fenster ,Find and Replace' (Suchen/Ersetzen) verursachte die Schaltfläche ,Replace all' (Alles ersetzen) manchmal eine Endlosschleife. Der Ersetzungsvorgang wird nun am Dokumentende gestoppt. Das Ersetzen von Text in Ereignisbeschreibungen hat nicht funktioniert und wird nun nicht mehr verwendet.
- Beim Widget (Dialogobjekt) segmt werden Segmente jetzt beim ersten Formularvorschubzeichen vertikal getrennt anstatt eine neue Zeile zu beginnen.
- Die Ausführung hat nicht funktioniert, wenn der Installationspfadname Leerzeichen enthielt - Fehler wurde behoben.
- Bei der ersten Initialisierung Öffnen eines Dialogfelds im Unterverzeichnis ,demo' und nicht im aktuellen Verzeichnis.
- Beim Aufheben einer Schriftartauswahl und Sichern der Konfiguration (d. h. [Options]/[Fonts]/[...], dann Cancel, dann [Options] /[Save configuration]) ging die aktuelle Schriftartbeschreibung verloren - Fehler wurde behoben.
- Cursorzeitanzeige immer auf drei Stellen genau.
- Eine Datumsänderung bei aktivierter Überwachungsfunktion (Monitoring) führte zu einer Endlosschleife (z. B. bei betriebsfreien Zeiten während der Nacht).
- Unter Windows wird die Nutzerkonfigurationsdatei jetzt in dem Verzeichnis $USERPROFILE gespeichert.
- Bei Erzeugung einer neuen Sprechersequenz ging die Kanaleinstellung verloren - Fehler wurde behoben.
- Die Codierungsliste befindet sich nun in der Datei etc/default.txt, um eine einfachere (manuelle) Konfiguration zu gewährleisten.
- Der bei allen Codierungen verwendete Zeichensatz blieb bei der Version 1.4.1 auf iso-latin1 beschränkt; er umfasst nun den gesamten Unicode-Satz für Tcl/Tk 8.1 oder höher. Allerdings ist es nicht möglich, eine Schriftart für eine spezifische Codierung zu wählen, und die Anzeige von Nicht-ASCII-Zeichen funktioniert nicht immer.
- src/shape.c entsprechend der API-Änderung in Snack 1.6.4 leicht modifiziert.

Version 1.4.1 (bietet Unicode-Unterstützung unter Tcl/Tk 8.1.1 oder höher)

Herausgegeben am 28 Oktober 1999
Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2erforderlich
kompiliert unter Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2).

Neue bzw. geänderte Funktionen:

- Unicode-Unterstützung nur unter Tcl/Tk 8.1.1 oder höher verfügbar. Die zum Schreiben der Transkriptionen verwendete Codierung kann in [Options]/[General ...] gewählt werden. Die voreingestellte (default) Codierung ist ISO-Latin-1, kann aber in Unicode (UTF-8) oder andere gebräuchliche 8-Bit-Codierungen geändert werden. Dieselbe nutzerdefinierte Codierung wird zum Lesen von mit früheren Transcriber-Versionen ohne Codierungskopf erzeugte Transkriptionen verwendet. Unter Tcl/Tk 8.0 bleibt das Verhalten unverändert, so dass das Lesen von Transkriptionen in Unicode nicht möglich ist.
- Die Zuordnung aller Auftritte eines Sprechers zu einem anderen, bereits existierenden ist durch Ändern des alten in den neuen Namen möglich.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Beim Transcriber 1.4 unter Tcl/Tk 8.1.1 oder höher folgte auf die Anzeige von Nicht-ASCII-Zeichen in der Segmentierungsschicht unter dem Signal Müll (garbage); dieser Fehler wurde behoben. Jedes Unicode-Zeichen müsste nun korrekt angezeigt werden, vorausgesetzt, es steht in einer installierten Schriftart zur Verfügung.
- Unter Windows wird der Aufruf von XDrawLines in segmt.c bei leerem Segment gesperrt.
- Die Transkriptionsein-/-ausgabe wurde modularisiert; Module können im Unterverzeichnis convert hinzugefügt werden, um neue Ein- oder Ausgabeformate zu unterstützen (siehe Datei convert/README).

Version 1.4 (größtenteils eine stabile Version von 1.3 beta)

Herausgegeben am 27. September 1999
Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2 erforderlich
kompiliert unter Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2).

Neue bzw. geänderte Funktionen:

- Die Handhabung von Roh-Audiodateien wurde verbessert - im Fenster [Options]/[Audio file ...] kann eine standardmäßige (default) Kopfgröße angegeben werden. Veränderungen der Voreinstellungen für Roh-Audiodateien lassen sich, falls erforderlich, unmittelbar auf die aktuelle Audiodatei anwenden.
- Die Hintergrundfarbe des gewählten Signals kann vom Nutzer geändert werden. Das kann notwendig sein, wenn in der Farbtabelle nicht genügend Farben zur Verfügung stehen.
- Das Unterverzeichnis ,demo' enthält ein Beispiel für die Transkription eines Sprachdialogs.
- Die Hilfe-Funktion, sofern verfügbar, wird über ,netscape' angezeigt.
- Den Befehlszeilenoptionen für ,trans' wurde eine Option patch directory_name hinzugefügt. Auf diese Weise können beim Einschalten künftig einige Erweiterungen in das Tool geladen werden.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Keine Makefile-Funktion mehr im Wurzelverzeichnis; Kompilierung und Installation werden durchgängig aus dem Unterverzeichnis ,src' durchgeführt.
- Die Dokumenttyp-Definition (DTD) wurde um das Feld "elapsed_time" (abgelaufene Zeit) im Trans-tag erweitert (soll die Transkriptions-Gesamtzeit überwachen, wird aber derzeit nicht verwendet).
- Der Signalformberechnungmodus wird für Windows-Plattformen standardmäßig deaktiviert; die Hintergrundberechnung ist immer deaktiviert.

Version 1.3b7

Herausgegeben am 6. Juli 1999
Tcl/Tk 8.0 oder 8.1, Snack 1.5p2 oder 1.6a2 (1.6b1 unter Linux nicht verwenden), tcLex 1.1.3 (zusammen mit Tcl/Tk 8.1 keine ältere Version verwenden) erforderlich
kompiliert unter Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2), Windows NT.

Neue bzw. geänderte Funktionen:

- Rechtschreibprüfung (grafische Benutzeroberfläche für Verwendung des externen Programms ,ispell').
- Nach Lesen einer Transkription wird nach einer neueren automatisch gespeicherten Version gesucht und der Nutzer aufgefordert, die Rückspeicherung von dieser Version durchzuführen (im Fall eines Absturzes während der vorangegangenen Sitzung).
- Wiedergabe mit Pausen an den Segmentgrenzen (Menü [Signal]/[Play with pauses]).
- Umfangreiche Aktualisierung des französischen Nutzerhandbuchs und der französischen Systembeschreibung.
- Der abgesetzte (remote) Audiodateiserver funktioniert wieder (tcl/SoundServer.tcl muss auf dem Host gestartet werden).
- Menü für das Sortieren einer editierten Liste (Zuweisungen (bindings), Lokalisierungen usw.) in jedem Feld (Name, Wert ...).
- Geringe Änderungen im .stm-Format.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Taktkalibrierung nicht mehr erforderlich (stattdessen wird die seit Version 1.5p2 verfügbare native Snack-Funktion "audio elapsedTime" verwendet); Cursor- und Rückrufsteuerung in tcl/Play.tcl aktualisiert.
- mp3-Audiodateien funktionieren mit den neuesten Snack-Versionen (1.6a2).
- Neuer Snack-Unterbefehl "order", der in Verbindung mit den Unterbefehlen "shape" und "get" für den Zugriff auf externe Audiodateien in heterogenen Netzen zu verwenden ist.
- Verwendung einer spezifischen Snack-API zur Unterstützung des Transcribers auf einer Windows-NT-Plattform.
- Aktualisiertes Hilfemenü zur Anzeige korrekter .html-Dateien.

Version 1.3b6

Herausgegeben am 17. Mai 1999

Neue bzw. geänderte Funktionen:

- Vollständig überarbeitetes französisches Nutzerhandbuch und Systembeschreibung (HTML-Format).
- Aktuelle Cursorposition im Signal und vertikaler Zoom werden jetzt mit der Sitzungskonfiguration gespeichert.
- Als Nutzeroption wird vor Verlassen der Konfiguration deren Sicherung vorgeschlagen.
- Direkter Zugriff auf eine Cursorposition ist nun über das Menü [Signal]/[Go to ...] oder durch Anklicken der Nachricht unter dem Signal möglich.
- Direkte Steuerung der Lautstärke im Menü [Signal]/[Control Panel]; der vertikale Zoom wurde in dasselbe Fenster verlegt.
- Beim Einschalten werden Audiodateien automatisch entdeckt, auch wenn ihr Suffix unbekannt ist oder fehlt (in der Version 1.3b5 wurden sie mit der Nachricht "format unknown" zurückgewiesen; auch andere Suffixe werden nun erkannt (.aif, .aiff, .smp).
- Nutzer, die eine Maus mit zwei Tasten verwenden, können Segmentgrenzen durch Drücken der linken Maustaste (anstatt der mittleren) verschieben.
- Änderungsdatum und Version sind im "Episode"-Fenster nicht mehr editierbar.
- Die Sprachenliste wird jetzt in lexikografischer Reihenfolge angezeigt.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Fehlerbehebung aus Version 1.3b5, in der es bei der Protokollierung der Aktivitäten zu einer Endlosschleife kam , wenn während der Sitzung ein Datumswechsel erfolgte.
- Fehlerbehebung bei der Aktualisierung der Farben für die Sprechersequenz- und Abschnittsschaltflächen im Texteditor.
- Zeitdauer für Neukalibrierung auf 10 s geändert.

Noch zu beheben bzw. nicht implementiert:

- Funktion "undo" (Rückgängig machen) nur in sehr eingeschränktem Maße operabel.
- Noch keine Rechtschreibkorrektur, keine automatische Ausführung usw.
- Kein Ausdrucken.
- mp3-Audiodateien funktionieren teilweise, lassen den Transcriber aber willkürlich abstürzen.

Version 1.3b5

Herausgegeben am 23. März 1999

Neue bzw. geänderte Funktionen:

- Die Überwachungsfunktion für die Transkriptionszeit wurde umgeschrieben und wird im "Informations"-Fenster angezeigt, wenn eine Sicherungsdatei angegeben wird.
- Nach dem Einschalten wird der Nutzer aufgefordert, eine Transkriptions- oder eine Audiodatei zu wählen.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Fehler in Version 1.3b4 bei der Edition der Sprechersequenzattribute.

Version 1.3b4

Herausgegeben am 16. März 1999

Neue bzw. geänderte Funktionen:

- Cut/Copy/Paste (Ausschneiden/Kopieren/Einfügen) bei Mischung von Text und Ereignissen funktioniert wie erwartet.
- Die Zeichenfolge für das Ersetzen von Zuweisungen (bindings) kann Ereignisse einschließen (über Copy/Paste oder direkt bei der Auswahl); der Zuweisungsschlüssel kann in der jetzigen Form im Editorfeld eingetippt werden.
- Automatisches Einfügen von Leerzeichen nach Wahl des Nutzers.
- Speichern der Geometrie einiger Fenster.
- Ein Nutzerglossar steht zur Verfügung.
- Ein importierter Sprecher kann gewählt werden; Themen können auf diese Weise ebenfalls importiert werden. Nicht verwendete Themen und Sprecher können gelöscht werden. Alle diese Funktionen sind im Menü "Edit/Speakers" oder "Edit/Topics" enthalten.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Fehlerbehebung in shape.c für 8-Bit-wav-Audiodateien.
- Leichte Änderung des seit der Version 1.3b3 verwendeten Listeneditionsformats, um eine generelle n-Felder-Edition statt einer 2-Felder-Edition zu ermöglichen.

Version 1.3b3

Herausgegeben am 7. März 1999

Neue bzw. modifizierte Funktionen:

- Dokumenttyp-Definition (DTD): Erweiterung des Ereignis-tags um Attributtyp (noise/lexical/pronounce/language) und Umfang (begin/end/previous/next/instantaneous); zuvor definierte Ereignisse werden standardmäßig (default) auf "instantaneous noise" gesetzt.
- Upgrade der Ereignisedition auf dieses neue Format.
- Die Hintergrundsignalformberechnung steht als Nutzeroption wieder zur Verfügung.
- Ereignisse werden in der Segmentierungsleiste angezeigt, was bei der Version 1.3b2 nicht mehr der Fall war.
- Sich überlappende Sprache wird nun innerhalb des Sprechersequenzfensters (turn window) bearbeitet.
- Sprechersequenzen und Abschnitte können innerhalb ihres Editionsfensters gelöscht werden.
- Das Informationsfenster macht jetzt auch Angaben über die Transkription.
- Signal- und Transkriptionsname werden, falls erforderlich, in der Schaltflächenleiste angezeigt.
- Bessere Lokalisierung der Schnittstelle.
- Hinzufügung des Menüs "File/Export/..." für den expliziten Export in ein nicht natives Format; "File/Save" und "File/Save as ..." verwenden stets das native XML-Format.
- Die standardmäßige (default) Erweiterung von Transkriptionsdateien wurde in .trs geändert; .xml kann weiter verwendet werden.
- Nutzerkonfiguration der/des:
  - Sprachenliste (in ISO639-Code),
  - Geräuschereignisliste,
  - Ausspracheereignisliste,
  - Liste lexikalischer Ereignisse,
  - Anzeigeformats der Ereignisse, ihrer Farbe,
  - Zuweisungen (bindings),
  - Lokalisierungszeichenfolgen in jeder Sprache.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Übergang vollzogen auf Snack 1.5 (Endversion), tcLex1.1 (Endversion) und tcl 8.0.5 zu Entwicklungszwecken (müsste noch mit den vorangegangenen 8.0.x-Versionen arbeiten).
- C-Quellen: umgearbeitetes shape.c für die Nutzung der neuesten Snack-Funktion und Signalformanzeige für jede Art von Audiodatei, einschließlich komprimierter Dateien.
- Das Dateiformat .typ wurde korrigiert, um das aus Version 1.2 bekannte Verhalten wiederherzustellen.
- Die URL-Adresse des Transcribers wurde auf die in den Seiten "Herausgeber- und Mitarbeiterverzeichnis" und "Dokumentation" genannte neue Homepage aktualisiert.
- Keine Direktkorrektur (patch) der Bibliothek "tk_getSaveFile" für die Wahl des Speicherformats mehr.

Version 1.3b2

(Nicht öffentlich) herausgegeben am 12. Februar 1999

Neue bzw. geänderte Funktionen:

- Dokumenttyp-Definition (DTD):
  - Hinzufügung von Attributen für die Kanäle im Sprechersequenz-tag (= telephone/studio),
  - Hinzufügung eines Attributs für den Anwendungsbereich im Sprecher-tag (= local/global)
- Hinzufügung des Menüs "File/Import speakers ...": Importieren aller Sprecher aus einer .xml-Datei.
- Automatisches Einfügen von Leerzeichen vor Interpunktionen (Satzzeichen).
- Unterdrückung des Menüs "File/Close".
- Umschreiben auf .stm-Format für weitere Nutzung.

Implementierungsänderungen bzw. Behebung von Fehlern:

- Änderungen bei XML-Parsing-Bibliotheken.

Version 1.3b1

Herausgegeben am 21. Januar 1999 - Test unter Linux (Debian 1.3/2.0), Solaris (SunOS 5.5), SGI (IRIX 6.2).

Neue bzw. geänderte Funktionen:

- Ein neues XML-Format ersetzt das .typ-Format von LDC als natives Format für das Tool.
- Die Gültigkeit der Transkription (d. h. die Syntax des Formats) wird bei der Dokumenttyp-Definition (DTD) geprüft.
- Allgemeine Informationen in Bezug auf den Transcriber-Namen, die Sendung oder die Signaldatei werden jetzt zusammen mit der Transkription festgehalten.
- Beim Öffnen einer Transkription wird die zugehörige Audiodatei automatisch geöffnet.
- Hintergrundmusik oder -geräusch wird jetzt in einer separaten Transkriptionsschicht bearbeitet und angezeigt.
- Ereignisse Sprache oder Nicht-Sprache werden jetzt als XML-tags und nicht als normaler Text behandelt.
- Die Handhabung von sich überlappender Sprache wurde überarbeitet.
- Die Handhabung von Sprechern und Themen ist einfacher und leistungsfähiger und erlaubt eine globale Suche und Edition von Sprechern oder Themen.
- Die automatische Signalformberechnung für große Signale kann nach Wahl des Nutzers deaktiviert werden.
- Das Laden von Rohdateien stellt wiederum ein Problem dar, müsste aber bei künftigen Updates des Snack-Moduls besser funktionieren als zuvor.
- Die Produktivität (Arbeitsfortgang) des Transcribers kann nach Wahl des Nutzers in einer Datei protokolliert werden.

Implementierungsänderungen:

- SoX-Bibliotheken werden nicht mehr verwendet; stattdessen wird auf alle Audiodateien über das Snack-Modul zugegriffen; die spezifischen Befehle "open_sound" und "play_sound" gibt es nicht mehr.
- Das tcLex-Modul von Frédéric Bonnet (ein lexikalischer Analysator/Generator für Tcl) wird jetzt für die Implementierung eines objektorientierten Validierungs-XML-Parsers nur für tcl verwendet.
- Das Installationsverfahren und die globale Toolstruktur wurden dank nützlicher Hinweise von D. van Leeuven überarbeitet.

Version 1.2

Herausgegeben am 16. September 1998 - Test unter Linux (Debian 1.3 und Redhat 4.3), Solaris, SGI (IRIX 6.2).

Neue Funktionen:

- Signal:
  - Anzeige von Themen- und Sprechersegmentierung unter dem Signalverlauf zusammen mit der Textsegmentierung.
  - Möglichkeit einer zweiten Signalansicht in einem anderen Maßstab.
  - Möglichkeit des Öffnens von Roh-Audiodateien.
  - Kontextmenüs zum Signalverlauf für direktes Einwirken auf das Signal und seine Anzeige.
- Transkription:
  - Undo/Redo (Rückgängig machen/Wiederherstellen), beschränkt auf die Verschiebung von Segmentierungsgrenzen und Textänderungen (Rückgängigmachen aller Textänderungen im aktuellen Segment, seit sich der Cursor in ihm befindet).
  - Suchen und Ersetzen im Text.
  - Automatisches Sichern in regelmäßigen Abständen.
  - Neues XML-Format für Transkriptionsausgabe (Format wird wahrscheinlich bald geändert; siehe Erörterung über Formate).
- Handhabung von sich überlappender Sprache innerhalb eines Segments.
- Mehr konfigurierbare Optionen (Schriftarten, Farben, anzuzeigende Fenster). Die meisten Nutzeroptionen (einschließlich aktueller Audiodatei, Transkriptionsdatei und aktueller Auflösungsanzeige) werden auf Wunsch in der Nutzerkonfigurationsdatei "~/.transcriber" gespeichert.
- Lokalisierung der Menüs wahlweise in Englisch oder Französisch; weitere Sprachen können problemlos hinzugefügt werden.
- Hilfe-Funktion im HTML-Format.

Behebung von Fehlern:

- Wurde die Datei als ".typ"-Datei gespeichert, gingen die Themen verloren. Das ursprüngliche LDC-Format wurde geringfügig modifiziert, um die Themen einzuschließen. Die Auszeichnung (markup) für sich überlappende Sprache wird jetzt erkannt.
- Die defaultmäßige Konfigurationsdatei erhielt den Namen "~/.transcriber" (ohne ,s'); die Korrektur besteht in dieser Änderung.
- Die Shorcut-Tastenkombination <Alt-Tab> für ,Signal/Replay Segment' wurde durch <Shift-Tab>' ersetzt, da sie auf einigen Plattformen zu Problemen führen konnte.
- Die Menüs ,Segmentation/Move to .../First segment' und ,.../Last segment' werden jetzt ausgeführt.
- Viele weitere kleinere Änderungen.

Implementierungsänderungen:

- Das interne Datenmanagement wurde vollständig umgeschrieben. Transkriptionen werden im Speicher als Baum abgelegt, der wie eine XML-Datei strukturiert ist; der Zugriff auf sie erfolgt über eine Reihe von Prozeduren in "tcl/Tags.tcl". Das Eingabedatei-Parsing wird erheblich vereinfacht (eine XML-konforme Bibliothek, welche die von Frédéric Bonnet geschriebenen tcLex-Erweiterung für Tcl nutzt, ist in der Entwicklung).
- Auf Audiodateien wird über den neuen Tcl-Befehl "open_sound" zugegriffen, der SoX- und/oder Sphere-Bibliotheken aufruft und einen neuen Tcl-Befehl "sound-file" erzeugt - (noch) nicht kompatibel mit Snack-Befehlen "sound". Wiedergabe mit dem neuen Tcl-Befehl "play_sound", der Snack-Bibliotheken aufruft. Diese Funktionen sind im Unterverzeichnis "doc" dokumentiert.
- Audiosignalformen (mit einer Auflösung von 10 ms pro Pixel vorberechnet) werden nicht mehr im Hintergrund berechnet. Vielmehr wird die Schnittstelle unterbrochen, wenn während der Signalformberechnung zum ersten Mal eine große Audiodatei geöffnet ist; die Berechnung wird dann gespeichert, bis sie das nächste Mal gebraucht wird.
- Der abgesetzte (remote) Audiowiedergabe-Server steht nicht mehr zur Verfügung; er erschien nicht unbedingt notwendig, und das Snack-Wiedergabe-Design ist robuster. Der abgesetzte Audiodateiserver befindet sich noch immer im Verteilungsverzeichnis, aber das Default-Verhalten besteht darin, Audiodateien lokal zu lesen, ohne den Audiodateiserver auf dem lokalen Host zu starten. Falls erforderlich, muss der Dateiserver vor dem Start konfiguriert werden, um Sicherungslücken zu vermeiden (z. B. durch Testen des Client-Port oder des Audiodateiverzeichnisses).
- Die neuen Tk-Widgets axis, wavfm und segmt wurden aktualisiert (aber sie sind noch nicht dokumentiert):
  - Das Widget wavfm ruft jetzt einen Befehl "sound-file" auf, der mit dem Befehl "open_sound" für die Signalformberechnung erzeugt wurde, anstatt aus einem/in einen Kanal (pipe oder socket) zu lesen/schreiben. Die Widget-Optionen "-width" und "-height" wurden hinzugefügt.
  - Das Widget segmt unterstützt eine Stufe der indirekten Adressierung für Zeitindizes: die Zeiten für den Beginn und das Ende eines Segments können in einem Assoziativspeicher ein Index sein. Der Zeitspeicher und die Liste der Segmentvariablen werden automatisch verfolgt, und das Widget wird erneut angezeigt, wenn sie geändert werden. Einige weitere kleine Fehlerbehebungen.
  - Die Widgets axis und segmt werden neu dargestellt, wenn benannte Schriftarten geändert werden (ermöglicht interaktive Schriftartenkonfiguration).
- Verteilungsstruktur:
  - Das Hauptverteilungsverzeichnis heißt jetzt Trans-x.y (wobei für x.y in dieser Version 1.2 steht). Zur Vereinfachung wurde das Unterverzeichnis "editor" unterdrückt, und sein Inhalt ("doc", "img", "src", "tcl") befindet sich auf der ersten Ebene. Das Unterverzeichnis "pkg" wurde in "lib" umbenannt. Die Unterverzeichnisse "bin" und "obj" werden nicht mehr verwendet.
  - Alle C-Erweiterungen zu Tcl/Tk befinden sich in einem einzigen automatisch ladbaren Paket "libtrans.so"; es gibt keine im Hintergrund zu startenden binären ablauffähigen Programme mehr.
  - Eine korrigierte (patched) Version der letzten Verteilung von SoX (v-12.4) ist in der Verteilung im Unterverzeichnis "contrib" enthalten.
  - html_library-0.3 von Stephen Uhler befindet sich im Unterverzeichnis "lib".
  - Die offizielle Snack-Verteilung wird ohne jegliche Änderung verwendet. Die "abgespeckte" Version des Pakets ist im Unterverzeichnis "lib" installiert.
  - Für die Kompilierung von C-Quellen im "src"-Unterverzeichnis steht ein Konfigurationsverfahren zur Verfügung.

Version 1.1

Herausgegeben am 26. Juni 1998 - Test unter Linux (Debian), Solaris, SGI.

Änderungen:

- Für die Audiowiedergabe wird an Stelle der SoX-Bibliotheken das Modul SNACK 1.1 von Kåre Sjölander verwendet. Diese Lösung ist stabiler und portabler, denn Snack läuft unter HP-UX, Sun Solaris, SGI IRIX, Linux und Windows 95/NT. Das Modul wird in einer verbesserten (patched) Version verwendet.
- Keine Änderungen der Nutzerschnittstelle. Das Installationsverfahren ist immer noch ziemlich primitiv.

Version 1.0

Herausgegeben am 25. Mai 1998 - Entwicklung unter PC/Linux (Debian 1.3); Test unter Sun Solaris.